function Y = ellipse(center, halfaxis, angle,varargin)
% Y = ellipse(center, axis, angle) draws an ellipse
%
%       center   = [xc yc] is the desired center for the ellipse
%       halfaxis = [dx dy] is the semi-major and semiminor axes of the ellipse
%       angle      is the angle that the major axis of the ellipse is 
%                  rotated from the horizontal
%   Create by Ioannis Rekleitis
%
%   Copyright (c) 2000 by Ioannis Rekleitis, Centre for Intelligent Machines,
%   McGill University, Montreal, QC.  Please see the copyright notice
%   included in this distribution for full details.
%   Last Mod. 20 Dec. 2001.
% 

Y=ellipseGeneration(center, halfaxis, angle);     
plot( Y(1,:), Y(2,:), varargin{:} );
