function Y = ellipseC(center, C,varargin)
% ellipseC draws an ellipse with center at 'center' described by the
% covariance matrix 'C'. center=2X1 vector and C is a 2X2 matrix.
% It takes optional arguments as the plot command. 
%   Create by Ioannis Rekleitis
%
%   Copyright (c) 2000 by Ioannis Rekleitis, Centre for Intelligent Machines,
%   McGill University, Montreal, QC.  Please see the copyright notice
%   included in this distribution for full details.
%   Last Mod. 20 Dec. 2001.
% 
[V,D]=eig(C);
l1=D(1,1);
l2=D(2,2);
V1=V(:,1);
V2=V(:,2);
%l11=0.5*(C(1,1)+C(2,2)+sqrt((C(1,1)-C(2,2)).^2+4*C(1,2).^2));
%l21=0.5*(C(1,1)+C(2,2)-sqrt((C(1,1)-C(2,2)).^2+4*C(1,2).^2));

%C
%[M l1 l2]

if(l1<l2)
    tmp=l1;
    l1=l2;
    l2=tmp;
    angle=-atan2(V2(2),V2(1));
 %   disp('Reversing');
else
 %    disp('Not Reversing');
   angle=-atan2(V1(2),V1(1));
 %   pause;
end;

 
if(l1>0)&&(l2>0)
    k=1;
    halfaxis=[sqrt(k*(l1)) sqrt(k*(l2))];
    Y=ellipse(center,halfaxis,angle,varargin{:});
else
    disp('eigen values <0');
    C(1,1)=C(1,1)+0.9;
    C(2,2)=C(2,2)+0.9;
    Y=ellipseC(center, C);
end;
